package com.hw.dms.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 设备调试信息对象 dms_base_device_debugging
 *
 * @author xins
 * @date 2024-01-02
 */
public class DmsBaseDeviceDebugging extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long deviceDebuggingId;

    /** 调试单号 */
    @Excel(name = "调试单号")
    private String workOrder;

    /** 设备ID,关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID,关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 调试状态(0未调试1调试中2已完成) */
    @Excel(name = "调试状态(0未调试1调试中2已完成)")
    private Long status;

    /** 调试时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "调试时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date debugTime;

    /** 调试人员 */
    @Excel(name = "调试人员")
    private String debugPerson;

    private String deviceName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setDeviceDebuggingId(Long deviceDebuggingId)
    {
        this.deviceDebuggingId = deviceDebuggingId;
    }

    public Long getDeviceDebuggingId()
    {
        return deviceDebuggingId;
    }
    public void setWorkOrder(String workOrder)
    {
        this.workOrder = workOrder;
    }

    public String getWorkOrder()
    {
        return workOrder;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setDebugTime(Date debugTime)
    {
        this.debugTime = debugTime;
    }

    public Date getDebugTime()
    {
        return debugTime;
    }
    public void setDebugPerson(String debugPerson)
    {
        this.debugPerson = debugPerson;
    }

    public String getDebugPerson()
    {
        return debugPerson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceDebuggingId", getDeviceDebuggingId())
            .append("workOrder", getWorkOrder())
            .append("deviceId", getDeviceId())
            .append("status", getStatus())
            .append("debugTime", getDebugTime())
            .append("remark", getRemark())
            .append("debugPerson", getDebugPerson())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
